# Объекты конфигурации

Список всех объектов конфигурации и их свойства

## Имена

| Наименование                | НаименованиеКоллекции        | НаименованиеEng            | НаименованиеКоллекцииEng    | ЕстьПодчиненные | ПорождаемыеТипы                                                                                                                                                                            |
| --------------------------- | ---------------------------- | -------------------------- | --------------------------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| HTTPСервис                  | HTTPСервисы                  | HTTPService                | HTTPServices                | true            |                                                                                                                                                                                            |
| WebСервис                   | WebСервисы                   | WebService                 | WebServices                 | true            |                                                                                                                                                                                            |
| WSСсылка                    | WSСсылки                     | WSReference                | WSReferences                |                 |                                                                                                                                                                                            |
| БизнесПроцесс               | БизнесПроцессы               | BusinessProcess            | BusinessProcesses           | true            | Object Ref Selection List Manager RoutePointRef                                                                                                                                            |
| ВнешнийИсточникиДанных      | ВнешниеИсточникиДанных       | ExternalDataSource         | ExternalDataSources         |                 |                                                                                                                                                                                            |
| ГруппаКоманд                | ГруппыКоманд                 | CommandGroup               | CommandGroups               |                 |                                                                                                                                                                                            |
| Документ                    | Документы                    | Document                   | Documents                   | true            | Object Ref Selection List Manager                                                                                                                                                          |
| ЖурналДокументов            | ЖурналыДокументов            | DocumentJournal            | DocumentJournals            | true            | Selection List Manager                                                                                                                                                                     |
| Задача                      | Задачи                       | Task                       | Tasks                       | true            | Object Ref Selection List Manager                                                                                                                                                          |
| Интерфейс                   | Интерфейсы                   | Interface                  | Interfaces                  |                 |                                                                                                                                                                                            |
| Константа                   | Константы                    | Constant                   | Constants                   |                 | Manager ValueManager                                                                                                                                                                       |
| КритерийОтбора              | КритерииОтбора               | FilterCriterion            | FilterCriteria              | true            | Manager List                                                                                                                                                                               |
| НумераторДокументов         | НумераторыДокументов         | DocumentNumerator          | DocumentNumerators          |                 |                                                                                                                                                                                            |
| Обработка                   | Обработки                    | DataProcessor              | DataProcessors              | true            | Object Manager                                                                                                                                                                             |
| ОбщаяКартинка               | ОбщиеКартинки                | CommonPicture              | CommonPictures              |                 |                                                                                                                                                                                            |
| ОбщаяКоманда                | ОбщиеКоманды                 | CommonCommand              | CommonCommands              |                 |                                                                                                                                                                                            |
| ОбщийМакет                  | ОбщиеМакеты                  | CommonTemplate             | CommonTemplates             |                 |                                                                                                                                                                                            |
| ОбщийМодуль                 | ОбщиеМодули                  | CommonModule               | CommonModules               |                 |                                                                                                                                                                                            |
| ОбщийРеквизит               | ОбщиеРеквизиты               | CommonAttribute            | CommonAttributes            |                 |                                                                                                                                                                                            |
| ОбщаяФорм                   | ОбщиеФормы                   | CommonForm                 | CommonForms                 |                 |                                                                                                                                                                                            |
| ОпределяемыйТип             | ОпределяемыеТипы             | DefinedType                | DefinedTypes                |                 | DefinedType                                                                                                                                                                                |
| Отчет                       | Отчеты                       | Report                     | Reports                     | true            | Object Manager                                                                                                                                                                             |
| ПакетXDTO                   | ПакетыXDTO                   | XDTOPackage                | XDTOPackages                |                 |                                                                                                                                                                                            |
| ПараметрСеанса              | ПараметрыСеанса              | SessionParameter           | SessionParameters           |                 |                                                                                                                                                                                            |
| ПараметрФункциональныхОпций | ПараметрыФункциональныхОпций | FunctionalOptionsParameter | FunctionalOptionsParameters |                 |                                                                                                                                                                                            |
| Перечисление                | Перечисления                 | Enum                       | Enums                       | true            | Ref Manager List                                                                                                                                                                           |
| ПланВидовРасчета            | ПланыВидовРасчета            | ChartOfCalculationTypes    | ChartsOfCalculationTypes    | true            | Object Ref Selection List Manager DisplacingCalculationTypes DisplacingCalculationTypesRow BaseCalculationTypes BaseCalculationTypesRow LeadingCalculationTypes LeadingCalculationTypesRow |
| ПланВидовХарактеристик      | ПланыВидовХарактеристик      | ChartOfCharacteristicTypes | ChartsOfCharacteristicTypes | true            | Object Ref Selection List Manager Characteristic                                                                                                                                           |
| ПланОбмена                  | ПланыОбмена                  | ExchangePlan               | ExchangePlans               | true            | Object Ref Selection List Manager                                                                                                                                                          |
| ПланСчетов                  | ПланыСчетов                  | ChartOfAccounts            | ChartsOfAccounts            | true            | Object Ref Selection List Manager ExtDimensionTypes ExtDimensionTypesRow                                                                                                                   |
| ПодпискаНаСобытия           | ПодпискиНаСобытия            | EventSubscription          | EventSubscriptions          |                 |                                                                                                                                                                                            |
| Подсистема                  | Подсистемы                   | Subsystem                  | Subsystems                  | true            |                                                                                                                                                                                            |
| Последовательность          | Последовательности           | Sequence                   | Sequences                   | true            | Record Manager RecordSet                                                                                                                                                                   |
| РегистрБухгалтерии          | РегистрыБухгалтерии          | AccountingRegister         | AccountingRegisters         | true            | Record Manager RecordSet RecordKey Selection List ExtDimensions                                                                                                                            |
| РегистрНакопления           | РегистрыНакопления           | AccumulationRegister       | AccumulationRegisters       | true            | Record Manager RecordSet RecordKey Selection List                                                                                                                                          |
| РегистрРасчета              | РегистрыРасчета              | CalculationRegister        | CalculationRegisters        | true            | Record Manager Selection List RecordSet RecordKey Recalcs                                                                                                                                  |
| РегистрСведений             | РегистрыСведений             | InformationRegister        | InformationRegisters        | true            | Record Manager RecordSet RecordKey Selection List RecordManager                                                                                                                            |
| РегламентноеЗадание         | РегламентныеЗадания          | ScheduledJob               | ScheduledJobs               |                 |                                                                                                                                                                                            |
| Роль                        | Роли                         | Role                       | Roles                       |                 |                                                                                                                                                                                            |
| Справочник                  | Справочники                  | Catalog                    | Catalogs                    | true            | Object Ref Selection List Manager                                                                                                                                                          |
| Стиль                       | Стили                        | Style                      | Styles                      |                 |                                                                                                                                                                                            |
| ФункциональнаяОпция         | ФункциональныеОпции          | FunctionalOption           | FunctionalOptions           |                 |                                                                                                                                                                                            |
| ХранилищеНастроек           | ХранилищаНастроек            | SettingsStorage            | SettingsStorages            | true            | Manager                                                                                                                                                                                    |
| ЭлементСтиля                | ЭлементыСтиля                | StyleItem                  | StyleItems                  |                 |                                                                                                                                                                                            |
| Язык                        | Языки                        | Language                   | Languages                   |                 |                                                                                                                                                                                            |
| Конфигурация                | Конфигурации                 | Configuration              | Configurations              | true            |                                                                                                                                                                                            |
| Расширение                  | Расширения                   | Extension                  | Extensions                  | true            |                                                                                                                                                                                            |
