# Свойства объектов конфигурации

Свойства объектов конфигурации.
Возможные колонки:

* Наименование - Имя свойства. Обязательное.
* Реквизит - Имя поля в файле описаний выгрузки. Обязательное.
* МетодПреобразования - Имя метода для кастомного чтения свойства. Не обязательное.
* ЗначениеПоУмолчанию - Строковое представление значения по-умолчанию. Не обязательное.
* ТипЗначения - Имя типа значения. Не обязательное.
* ПереноситьВРасширение - Булевый признак необходимости переносить реквизит в описание объекта расширения

## Реквизиты Default

| Наименование   | Реквизит        | МетодПреобразования | ПереноситьВРасширение |
| -------------- | --------------- | ------------------- | --------------------- |
| Наименование   | Name            |                     | true                  |
| Синоним        | Synonym         | МногоязычнаяСтрока  | true                  |
| Комментарий    | Comment         |                     | false                 |
| Принадлежность | ObjectBelonging |                     | true                  |

## Реквизиты Configuration

| Наименование                                                            | Реквизит                                        | МетодПреобразования |
| ----------------------------------------------------------------------- | ----------------------------------------------- | ------------------- |
| АвторскиеПрава                                                          | Copyright                                       | МногоязычнаяСтрока  |
| АдресИнформацииОКонфигурации                                            | ConfigurationInformationAddress                 | МногоязычнаяСтрока  |
| АдресИнформацииОПоставщике                                              | VendorInformationAddress                        | МногоязычнаяСтрока  |
| АдресКаталогаОбновлений                                                 | UpdateCatalogAddress                            |                     |
| ВариантВстроенногоЯзыка                                                 | ScriptVariant                                   |                     |
| Версия                                                                  | Version                                         |                     |
| ВключатьСправкуВСодержание                                              | IncludeHelpInContents                           |                     |
| ДополнительнаяФормаКонстант                                             | AuxiliaryConstantsForm                          |                     |
| ДополнительныеСловариПолнотекстовогоПоиска                              | AdditionalFullTextSearchDictionaries            |                     |
| Заставка                                                                | Splash                                          |                     |
| ИнтерфейсКлиентскогоПриложения                                          | ClientApplicationInterface                      |                     |
| ИспользоватьОбычныеФормыВУправляемомПриложении                          | UseOrdinaryFormInManagedApplication             |                     |
| ИспользоватьУправляемыеФормыВОбычномПриложении                          | UseManagedFormInOrdinaryApplication             |                     |
| КартинкаОсновногоРаздела                                                | MainSectionPicture                              |                     |
| КомандныйИнтерфейс                                                      | CommandInterface                                |                     |
| КомандныйИнтерфейсОсновногоРаздела                                      | MainSectionCommandInterface                     |                     |
| КраткаяИнформация                                                       | BriefInformation                                | МногоязычнаяСтрока  |
| Логотип                                                                 | Logo                                            |                     |
| МодульВнешнегоСоединения                                                | ExternalConnectionModule                        |                     |
| МодульОбычногоПриложения                                                | OrdinaryApplicationModule                       |                     |
| МодульСеанса                                                            | SessionModule                                   |                     |
| МодульУправляемогоПриложения                                            | ManagedApplicationModule                        |                     |
| НазначениеРасширенияКонфигурации                                        | ConfigurationExtensionPurpose                   |                     |
| НазначенияИспользования                                                 | UsePurposes                                     |                     |
| ОсновнаяФормаВариантаОтчета                                             | DefaultReportVariantForm                        |                     |
| ОсновнаяФормаКонстант                                                   | DefaultConstantsForm                            |                     |
| ОсновнаяФормаНастроекДинамическогоСписка                                | DefaultDynamicListSettingsForm                  |                     |
| ОсновнаяФормаНастроекОтчета                                             | DefaultReportSettingsForm                       |                     |
| ОсновнаяФормаОтчета                                                     | DefaultReportForm                               |                     |
| ОсновнаяФормаПоиска                                                     | DefaultSearchForm                               |                     |
| ОсновнойИнтерфейс                                                       | DefaultInterface                                |                     |
| ОсновнойРежимЗапуска                                                    | DefaultRunMode                                  |                     |
| ОсновнойСтиль                                                           | DefaultStyle                                    |                     |
| ОсновнойЯзык                                                            | DefaultLanguage                                 |                     |
| ОсновныеРоли                                                            | DefaultRoles                                    |                     |
| ПодробнаяИнформация                                                     | DetailedInformation                             | МногоязычнаяСтрока  |
| Поставщик                                                               | Vendor                                          |                     |
| РабочаяОбластьНачальнойСтраницы                                         | HomePageWorkArea                                |                     |
| РежимАвтонумерацииОбъектов                                              | ObjectAutonumerationMode                        |                     |
| РежимИспользованияМодальности                                           | ModalityUseMode                                 |                     |
| РежимИспользованияСинхронныхВызововРасширенийПлатформыИВнешнихКомпонент | SynchronousPlatformExtensionAndAddInCallUseMode |                     |
| РежимОсновногоОкнаКлиентскогоПриложения                                 | MainClientApplicationWindowMode                 |                     |
| РежимСовместимости                                                      | CompatibilityMode                               |                     |
| РежимСовместимостиИнтерфейса                                            | InterfaceCompatibilityMode                      |                     |
| РежимСовместимостиРасширенияКонфигурации                                | ConfigurationExtensionCompatibilityMode         |                     |
| РежимУправленияБлокировкойДанных                                        | DataLockControlMode                             |                     |
| РодительскиеКонфигурации                                                | ParentConfigurations                            |                     |
| Справка                                                                 | Help                                            |                     |
| ТребуемыеРазрешенияМобильногоПриложения                                 | RequiredMobileApplicationPermissions            |                     |
| ФрагментКомандногоИнтерфейса                                            | CommandInterfaceFragment                        |                     |
| ХранилищеВариантовОтчетов                                               | ReportsVariantsStorage                          |                     |
| ХранилищеНастроекДанныхФорм                                             | FormDataSettingsStorage                         |                     |
| ХранилищеОбщихНастроек                                                  | CommonSettingsStorage                           |                     |
| ХранилищеПользовательскихНастроекДинамическихСписков                    | DynamicListsUserSettingsStorage                 |                     |
| ХранилищеПользовательскихНастроекОтчетов                                | ReportsUserSettingsStorage                      |                     |

## Реквизиты Extension

| Наименование                              | Реквизит                                | МетодПреобразования |
| ----------------------------------------- | --------------------------------------- | ------------------- |
| РежимСовместимостиРасширенияКонфигурации  | ConfigurationExtensionCompatibilityMode | ВерсияСовместимости | 
| ПрефиксИмен                               | NamePrefix                              |                     |
| Назначение                                | ConfigurationExtensionPurpose           |                     |


## Реквизиты Subsystem

| Наименование                | Реквизит                  | МетодПреобразования | ТипЗначения | ЗначениеПоУмолчанию |
| --------------------------- | ------------------------- | ------------------- | ----------- | ------------------- |
| ВключатьВКомандныйИнтерфейс | IncludeInCommandInterface | ЗначениеБулево      | Булево      | false               |
| ВключатьВСодержимоеСправки  | IncludeHelpInContents     | ЗначениеБулево      | Булево      | false               |
| Пояснение                   | Explanation               | МногоязычнаяСтрока  |             |                     |
| Состав                      | Content                   | СоставПодсистемы    | Массив      |                     |


## Реквизиты CommonModule

| Наименование            | Реквизит                  | МетодПреобразования | ТипЗначения | ЗначениеПоУмолчанию |
| ----------------------- | ------------------------- | ------------------- | ----------- | ------------------- |
| Глобальный              | Global                    | ЗначениеБулево      | Булево      | false               |
| Клиент                  | ClientManagedApplication  | ЗначениеБулево      | Булево      | false               |
| КлиентОбычноеПриложение | ClientOrdinaryApplication | ЗначениеБулево      | Булево      | false               |
| Сервер                  | Server                    | ЗначениеБулево      | Булево      | true                |
| ВнешнееСоединение       | ExternalConnection        | ЗначениеБулево      | Булево      | false               |
| ВызовСервера            | ServerCall                | ЗначениеБулево      | Булево      | false               |
| Привилегированный       | Privileged                | ЗначениеБулево      | Булево      | false               |
| ПовторноеИспользование  | ReturnValuesReuse         |                     |             | DontUse             |

## Реквизиты Constant

| Наименование | Реквизит    | МетодПреобразования |
| ------------ | ----------- | ------------------- |
| Тип          | Type        | ПолучитьТип         |
| Пояснение    | Explanation | МногоязычнаяСтрока  |

## Реквизиты InformationRegister

| Наименование                     | Реквизит                       | ПереноситьВРасширение |
| -------------------------------- | ------------------------------ | --------------------- |
| СтандартныеРеквизиты             | StandardAttributes             |                       |
| ВключатьСправкуВСодержание       | IncludeHelpInContents          |                       |
| ДополнительнаяФормаЗаписи        | AuxiliaryRecordForm            |                       |
| ДополнительнаяФормаСписка        | AuxiliaryListForm              |                       |
| Измерения                        | Dimensions                     |                       |
| ИспользоватьСтандартныеКоманды   | UseStandardCommands            |                       |
| Команды                          | Commands                       |                       |
| Макеты                           | Templates                      |                       |
| МодульМенеджера                  | ManagerModule                  |                       |
| МодульНабораЗаписей              | RecordSetModule                |                       |
| ОсновнаяФормаЗаписи              | DefaultRecordForm              |                       |
| ОсновнаяФормаСписка              | DefaultListForm                |                       |
| ОсновнойОтборПоПериоду           | MainFilterOnPeriod             |                       |
| ПериодичностьРегистраСведений    | InformationRegisterPeriodicity | true                  |
| ПолнотекстовыйПоиск              | FullTextSearch                 |                       |
| Пояснение                        | Explanation                    |                       |
| ПредставлениеЗаписи              | RecordPresentation             |                       |
| ПредставлениеСписка              | ListPresentation               |                       |
| РазрешитьИтогиСрезПервых         | EnableTotalsSliceFirst         |                       |
| РазрешитьИтогиСрезПоследних      | EnableTotalsSliceLast          |                       |
| РасширенноеПредставлениеЗаписи   | ExtendedRecordPresentation     |                       |
| РасширенноеПредставлениеСписка   | ExtendedListPresentation       |                       |
| РежимЗаписи                      | WriteMode                      | true                  |
| РежимУправленияБлокировкойДанных | DataLockControlMode            |                       |
| Реквизиты                        | Attributes                     |                       |
| Ресурсы                          | Resources                      |                       |
| СпособРедактирования             | EditType                       |                       |
| Справка                          | Help                           |                       |
| Формы                            | Forms                          |                       |
