///////////////////////////////////////////////////////////////////////////////
//
// Служебный модуль с набором служебных параметров библиотеки
//
// При создании новой библиотеки обязательно внести изменение 
// в ф-ии ИмяПродукта, указав имя вашей библиотеки.
//
// При выпуске новой версии обязательно изменить ее значение
// в ф-ии ВерсияПродукта
//
///////////////////////////////////////////////////////////////////////////////

#Использовать logos

Перем Лог;

// ИмяПродукта
//	Возвращает имя продукта
//
// Возвращаемое значение:
//   Строка   - Значение имени продукта
//
Функция ИмяПродукта() Экспорт
	
	Возврат "bsl-parser";

КонецФункции

//	Возвращает текущую версию продукта
//
// Возвращаемое значение:
//   Строка   - Значение текущей версии продукта
//
Функция ВерсияПродукта() Экспорт
	
	Возврат "21.09";
	
КонецФункции

//	Возвращает идентификатор лога библиотеки
//
// Возвращаемое значение:
//   Строка   - Значение идентификатора лога библиотеки
//
Функция ИмяЛогаСистемы() Экспорт
	
	Возврат "oscript.lib." + ИмяПродукта();
	
КонецФункции // ИмяЛогаСистемы

//	Форматирование логов
//   См. описание метода "УстановитьРаскладку" библиотеки logos
//
Функция Форматировать(Знач Уровень, Знач Сообщение) Экспорт

	Возврат СтрШаблон("%1: %2 - %3", ТекущаяДата(), УровниЛога.НаименованиеУровня(Уровень), Сообщение);

КонецФункции

//	Возвращает лог продукта
//
// Возвращаемое значение:
//   Лог   - Лог продукта
//
Функция ПолучитьЛог() Экспорт
	
	Если Лог = Неопределено Тогда
		
		Лог = Логирование.ПолучитьЛог(ИмяЛогаСистемы());
		Лог.УстановитьРаскладку(ЭтотОбъект);

	КонецЕсли;

	Возврат Лог;
	
КонецФункции
